Bug 1277378 - obsoleting fedup-dracut cause dependency issues
obsoleting fedup-dracut cause dependency issues
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: dnf-plugin-system-upgrade (Show other bugs)
21
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Will Woods
Fedora Extras Quality Assurance
:
: 1277617 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-03 03:29 EST by David Juran
Modified: 2015-11-03 16:18 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-03 16:18:50 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Juran 2015-11-03 03:29:32 EST
Description of problem:
The recent update of dnf-plugin-system-upgrade, where fedup-dracut is obsoleted breaks lorax.

[david@localhost ~]$ sudo yum update

Loaded plugins: changelog, langpacks, priorities, refresh-updatesd
Resolving Dependencies
--> Running transaction check
---> Package dnf-plugin-system-upgrade.noarch 0:0.5.0-1.fc21 will be obsoleting
--> Processing Dependency: python2-dnf-plugin-system-upgrade for package: dnf-plugin-system-upgrade-0.5.0-1.fc21.noarch
---> Package fedup.noarch 0:0.9.2-1.fc21 will be obsoleted
---> Package fedup-dracut.x86_64 0:0.9.0-1.fc21 will be obsoleted
--> Processing Dependency: fedup-dracut for package: lorax-21.33-1.fc21.x86_64
--> Running transaction check
---> Package fedup-dracut.x86_64 0:0.9.0-1.fc21 will be obsoleted
--> Processing Dependency: fedup-dracut for package: lorax-21.33-1.fc21.x86_64
---> Package python2-dnf-plugin-system-upgrade.noarch 0:0.5.0-1.fc21 will be installed
--> Finished Dependency Resolution
Error: Package: lorax-21.33-1.fc21.x86_64 (@updates)
           Requires: fedup-dracut
           Removing: fedup-dracut-0.9.0-1.fc21.x86_64 (installed)
               fedup-dracut = 0.9.0-1.fc21
           Obsoleted By: dnf-plugin-system-upgrade-0.5.0-1.fc21.noarch (updates)
               Not found
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest

Version-Release number of selected component (if applicable):
[david@localhost ~]$ rpm -q lorax fedup-dracut
lorax-21.33-1.fc21.x86_64
fedup-dracut-0.9.0-1.fc21.x86_64
Comment 1 Fedora Update System 2015-11-03 08:12:39 EST
lorax-21.34-1.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-42168cf2a1
Comment 2 Zbigniew Jędrzejewski-Szmek 2015-11-03 11:51:30 EST
*** Bug 1277617 has been marked as a duplicate of this bug. ***
Comment 3 Fedora Update System 2015-11-03 16:18:47 EST
lorax-21.34-1.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.